IPV6_RECVERR(2const)

NAME
IPV6_RECVERR - extended reliable error message passing

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IPV6, IPV6_RECVERR,
               const int *enable, sizeof(int));
int getsockopt(int sockfd, IPPROTO_IPV6, IPV6_RECVERR,
               int *enabled, sizeof(int));

DESCRIPTION
Control receiving of asynchronous error options.

See IP_RECVERR(2const).

ERRORS
See IPPROTO_IPV6(2const). See setsockopt(2). See ipv6(7).

SEE ALSO
IP_RECVERR(2const), IPPROTO_IPV6(2const), setsockopt(2), cmsg(3), ipv6(7)